aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Cai <johncai86@gmail.com>2024-01-19 20:18:49 +0000
committerJunio C Hamano <gitster@pobox.com>2024-01-22 15:55:45 -0800
commit28d4e9f00af21cc00e396583e8dda92945b4fc48 (patch)
tree9c8df111f5e3b2e9182c076dfa4800b2e24dd1f5
parent186b115d3062e6230ee296d1ddaa0c4b72a464b5 (diff)
downloadgit-28d4e9f00af21cc00e396583e8dda92945b4fc48.tar.xz
t3210: move to t0601
Move t3210 to t0601, since these tests are reffiles specific in that they modify loose refs manually. This is part of the effort to categorize these tests together based on the ref backend they test. When we upstream the reftable backend, we can add more tests to t06xx. This way, all tests that test specific ref backend behavior will be grouped together. Signed-off-by: John Cai <johncai86@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xt/t0601-reffiles-pack-refs.sh (renamed from t/t3210-pack-refs.sh)6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t3210-pack-refs.sh b/t/t0601-reffiles-pack-refs.sh
index 7f4e98db7d..4929cc7b45 100755
--- a/t/t3210-pack-refs.sh
+++ b/t/t0601-reffiles-pack-refs.sh
@@ -15,6 +15,12 @@ export GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME
TEST_PASSES_SANITIZE_LEAK=true
. ./test-lib.sh
+if ! test_have_prereq REFFILES
+then
+ skip_all='skipping reffiles specific tests'
+ test_done
+fi
+
test_expect_success 'enable reflogs' '
git config core.logallrefupdates true
'